import { jsonError, jsonResponse } from "../../common.js";

export async function onRequestGet(context: RequestContext) {
  const { results, success } = await context.env.D1.prepare(
    "SELECT approved, created_at, id, open FROM appeals WHERE user = ?;",
  )
    .bind(context.data.current_user.id)
    .all();

  if (!success) return jsonError("Unable to retrieve appeals", 500);

  return jsonResponse(JSON.stringify(results));
}
